package com.bonus.material.clz.service;

import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.material.clz.domain.BmTeam;

import java.util.List;

/**
 * @ClassName BmTeamService
 * @Author ma_sh
 * @create 2025/5/12 13:02
 */
public interface BmTeamService {
    /**
     * 查询班组信息
     * @param tbTeam
     * @return
     */
    List<BmTeam> queryByPage(BmTeam tbTeam);

    /**
     * 新增班组信息
     * @param tbTeam
     * @return
     */
    AjaxResult insert(BmTeam tbTeam);

    /**
     * 编辑班组信息
     * @param tbTeam
     * @return
     */
    AjaxResult edit(BmTeam tbTeam);

    /**
     * 删除班组数据
     * @param tbTeam
     * @return
     */
    AjaxResult deleteById(BmTeam tbTeam);

    /**
     * 查询
     * @param tbTeam
     * @return
     */
    AjaxResult getList(BmTeam tbTeam);

    /**
     * 查询班组信息
     * @param tbTeam
     * @return
     */
    AjaxResult getTeamList(BmTeam tbTeam);

    /**
     * 根据身份证号查询班组信息
     * @param tbTeam
     * @return
     */
    AjaxResult getListByIdCard(BmTeam tbTeam);
}
